local M = {}

M.defaults = {
    model = "gemini-2.0-flash",
    api_url = "https://generativelanguage.googleapis.com/v1/models/%s:generateContent",  -- Updated URL format
    window = {
        width = function() return math.floor(vim.o.columns / 3) end,
        height = function() return vim.o.lines - 2 end,
        border = "rounded",
        title = "Gemini Chat Session",
        title_pos = "center",
    },
    mappings = {
        close = 'q',
        return_focus = '<Esc>',
        new_query = 'i',
    },
    highlights = {
        user = "GeminiUser",
        separator = "GeminiSeparator",
    },
    completion = {
        enabled = true,
        debounce_ms = 1000,
        min_chars = 0,
        max_context_lines = 10,
        style = "ghost", -- or "inline"
        trigger_characters = ".", -- Add trigger characters
        exclude_filetypes = { "TelescopePrompt", "neo-tree" },
        suggestion_highlight = {
            fg = '#666666',
            italic = true,
            blend = 15
        }
    }
}

M.options = {}

function M.setup(opts)
    M.options = vim.tbl_deep_extend("force", {}, M.defaults, opts or {})
end

return M
